S
docs.syncra.money
API ReferenceMerchant APIApi referencePasses

List whitelist passes

Returns passes filtered by merchant.

GET/api/v1/p2p/merchant/passes

Returns passes filtered by merchant.

Authorization

MerchantToken MerchantSignature
X-Merchant-Token<token>

64-character hex public merchant token assigned during onboarding.

In: header

X-Signature<token>

Stripe-style HMAC-SHA256 signature. Format: t=<unix_seconds>,v1=<hex_hmac_sha256> where hex_hmac = HMAC-SHA256(webhook_secret, "<unix_seconds>.<raw_body>"). Replay window: 5 minutes (60s future drift tolerated).

In: header

Query Parameters

page_size?integer

Maximum number of results to return (default 20, max 100).

Formatint32
Range1 <= value <= 100
Default20

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/api/v1/p2p/merchant/passes"
{  "data": [    {      "pass_id": "c873768a-5954-4f62-8e84-d0c8cc5522b2",      "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",      "merchant_id": "500924a8-3f5e-4c00-beb8-2efcde988aea",      "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44",      "amount": 0,      "currency_id": "305e0674-ee79-42b7-bf83-278294a47a7b",      "payment_method_id": "ec18d2d7-d2e0-41e4-98e4-847f14422d8a",      "requisite_type": "BANK_CARD",      "status": "ACTIVE",      "expires_at": "2019-08-24T14:15:22Z",      "used_deal_id": "f21d2188-ade6-4481-9591-e0cf441d91db",      "created_at": "2019-08-24T14:15:22Z"    }  ]}
{  "type": "../dictionary",  "title": "string",  "status": 0,  "detail": "string",  "instance": "../dictionary",  "errors": [    {      "field": "amount",      "message": "must be greater than 0",      "code": "POSITIVE_REQUIRED"    }  ]}